<?php
//获取毫秒
function get_microtime (){
	list($s1, $s2) = explode(' ', microtime());
    return (float)sprintf('%.0f', (floatval($s1) + floatval($s2)) * 1000); 
}

//获取钉钉登录sign
function get_loginsign($microtime,$appsecret){
	$microtime = $microtime;
	$sign = hash_hmac('sha256',$microtime,$appsecret,true);
	$signature = base64_encode($sign);
	return $signature;
}
	
//发送请求函数
function GetPost_http($url, $data = '',$format='') {
	if(!isset($_SERVER['HTTP_USER_AGENT'])){
		$_SERVER['HTTP_USER_AGENT'] = 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/53.0.2785.104 Safari/537.36 Core/1.53.2372.400 QQBrowser/9.5.10548.400';
	}
	$curl = curl_init(); // 启动一个CURL会话  
	curl_setopt($curl, CURLOPT_URL, $url); // 要访问的地址  
	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0); // 对认证证书来源的检查  
	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0); // 从证书中检查SSL加密算法是否存在  
	curl_setopt($curl, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']); // 模拟用户使用的浏览器  
	curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1); // 使用自动跳转  
	curl_setopt($curl, CURLOPT_AUTOREFERER, 1); // 自动设置Referer  
	if (!empty($data)) {
		curl_setopt($curl, CURLOPT_POST, 1); // 发送一个常规的Post请求  
		curl_setopt($curl, CURLOPT_POSTFIELDS, $data); // Post提交的数据包
		if($format == 'json'){
			curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-Type: application/json; charset=utf-8"));
		}
	}
	curl_setopt($curl, CURLOPT_TIMEOUT, 40); // 设置超时限制防止死循环  
	curl_setopt($curl, CURLOPT_TIMEOUT_MS, 40000); // 设置超时限制防止死循环  
	curl_setopt($curl, CURLOPT_HEADER, 0); // 显示返回的Header区域内容  
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); // 获取的信息以文件流的形式返回  
	$tmpInfo = curl_exec($curl); // 执行操作  
	$errno = curl_errno($curl);
	if ($errno !== 0) {
		log_message('error', 'dingding'.$errno.curl_error($curl));
	}
	curl_close($curl); //关闭CURL会话  
	return $tmpInfo; //返回数据
}


?>